# Run chaos component

Run chaos component (faults, probes, actions)

Endpoint: POST /gateway/chaos/manager/api/v3/integrations/run-chaos-component
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `hubReference` (string)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `pipelineExecutionId` (string)

  - `pipelineIdentifier` (string)

  - `projectIdentifier` (string)
    project id to access the resource

## Request fields (application/json):

  - `duration` (string)

  - `identity` (string)

  - `infraReference` (string)

  - `runtimeInputs` (object)

  - `runtimeInputs.tasks` (object)

  - `type` (string)
    Enum: "Fault", "Probe", "Action"

  - `userMetaData` (object)

  - `userMetaData.email` (string)

  - `userMetaData.name` (string)

  - `userMetaData.userName` (string)

## Response 200 fields (application/json):

  - `data` (object)

  - `data.error` (string)

  - `data.logKeys` (array)

  - `data.notifyId` (string)

  - `data.units` (array)

  - `status` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


